Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

Reply
New Contributor
hudspeg
Posts: 3
Registered: ‎09-27-2013
My Device: Blackberry Enterprise Server 5
My Carrier: O2
Accepted Solution

Problem Upgrading BES 5.0.3 to 5.0.4

[ Edited ]

When attempting to upgrade from BES 5.0.3 to 5.0.4 the database upgrade fails.

 

Checking the install log the following error message is displayed:

 

[30000] (09/16 14:18:22.476):{0x2424} SQL being executed:   EXECUTE CreateDatabaseObject @ObjectType='P', @ObjectName='PreloadDetailsLookup'; EXECUTE CreateDatabaseObject @ObjectType='P', @ObjectName='GetUpdatedColumns'; [20000] (09/16 14:18:22.538):{0x2424} [CBESDBInstaller::executeRetryDDL] COM Error 0x80040E14 - IDispatch error #3092 - Source: "Microsoft OLE DB Provider for SQL Server" - Description "INSERT failed because the following SET options have incorrect settings: 'ARITHABORT'. Verify that SET options are correct for use with indexed views and/or indexes on computed columns and/or query notifications and/or xml data type methods." Native error = 1934 [20000] (09/16 14:18:22.538):{0x2424} [CBESDBInstaller::executeRetryDDL] SQL Error for:

EXECUTE CreateDatabaseObject @ObjectType='P', @ObjectName='PreloadDetailsLookup'; EXECUTE CreateDatabaseObject @ObjectType='P', @ObjectName='GetUpdatedColumns'; [10000] (09/16 14:18:22.538):{0x2424} An attempt to upgrade the database was unsuccessful. An error occurred while executing an SQL statement.

 

System Config:

BES 5.0.3 MR8

Mail Server - Lotus Domino 8.5.3 FP4

SQL - SQL Express 2005

 

Any help appreciated

Please use plain text.
BlackBerry Technical Advisor (Retired)
LoneWolf902
Posts: 166
Registered: ‎04-25-2013
My Device: BlackBerry Z10, BlackBerry Q10, Bold 9900

Re: Problem Upgrading BES 5.0.3 to 5.0.4

Hello hudspeg,

Welcome to the BlackBerry Support Community Forums.

Thank you for your question regarding upgrading issues. 

 

We have seen this a few times below. One thing to check would be the compatibility level of SQL.

 

Note: Prior to performing the following resolution, create a backup the BlackBerry Configuration Database. For more information, see KB10292.

 

Change the Compatibility Level of a Database using the following steps in SQL Server Management Studio

 

  1. After connecting to the appropriate instance of the SQL Server Database Engine, in Object Explorer, click the server name
  2. Expand Databases, and locate the BlackBerry Configuration Database (The default name is BESMgmt)
  3. Right-click the database, and then click Properties
  4. The Database Properties dialog box opens
  5. In the Select a page pane, click Options
  6. The current compatibility level is displayed in the Compatibility level list box
  7. To change the compatibility level, select a different option from the list that matches the current version of SQL being used

    SQL Server 2005 (90)
    SQL Server 2008 (100)
    SQL Server 2012 (110)
     
  8. Click OK
  9. Close SQL Server Management Studio
  10. Resume the the BlackBerry Enterprise Server installation

Let me know if you have any other questions.

- LW

 

Come follow your BlackBerry Technical Team on twitter! @BlackBerryHelp

Be sure to click Kudos! for those who have helped you.

Click Accept as Solution for posts that have solved your issue(s)!

Please use plain text.
New Contributor
hudspeg
Posts: 3
Registered: ‎09-27-2013
My Device: Blackberry Enterprise Server 5
My Carrier: O2

Re: Problem Upgrading BES 5.0.3 to 5.0.4

Thanks for the reply LW

 

Unfortunatley, the Compatability Level is set at SQL Server 2005 (90) - the correct value.

 

Cheers

Please use plain text.
Guru III
knottyrope
Posts: 30,345
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook, BlackBerry Wireless Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: Problem Upgrading BES 5.0.3 to 5.0.4

if it is SQL express, upgrade to SQL express 2008

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 5.0.4 and BES 10.2.2 with Exchange 2010 and SQL 2008


Please use plain text.
New Contributor
hudspeg
Posts: 3
Registered: ‎09-27-2013
My Device: Blackberry Enterprise Server 5
My Carrier: O2

Re: Problem Upgrading BES 5.0.3 to 5.0.4

That's worked fine - thanks for your help
Please use plain text.
Guru III
knottyrope
Posts: 30,345
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook, BlackBerry Wireless Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: Problem Upgrading BES 5.0.3 to 5.0.4

your welcome

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 5.0.4 and BES 10.2.2 with Exchange 2010 and SQL 2008


Please use plain text.
New Contributor
ccan
Posts: 4
Registered: ‎10-26-2010
My Device: Curve 8320
My Carrier: Zain

Re: Problem Upgrading BES 5.0.3 to 5.0.4

Hi Knottyrope I upgraded the sql to 2008 express, but I still get the same error "an attempt to upgrade the database was unsuccessful. an error occurred while executing an sql statement" Could you please guide me as I need to upgrade exchange 2007 to 2010 urgently. Thanks Chris
Please use plain text.
Guru III
knottyrope
Posts: 30,345
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook, BlackBerry Wireless Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: Problem Upgrading BES 5.0.3 to 5.0.4

were you logged in as BESAdmin service account?

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 5.0.4 and BES 10.2.2 with Exchange 2010 and SQL 2008


Please use plain text.
New Contributor
ccan
Posts: 4
Registered: ‎10-26-2010
My Device: Curve 8320
My Carrier: Zain

Re: Problem Upgrading BES 5.0.3 to 5.0.4

Thank you Knottyrope

 

the problem has been resolved by changing the compatibility of BESmgmt database to 100 in SQL

Please use plain text.
Guru III
knottyrope
Posts: 30,345
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook, BlackBerry Wireless Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: Problem Upgrading BES 5.0.3 to 5.0.4

glad to hear it

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 5.0.4 and BES 10.2.2 with Exchange 2010 and SQL 2008


Please use plain text.